<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования категории типовых динамических страниц.
 * 
 * Файл: /admin/lib/action/add_lib_dir.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$param = array();

$lib = & singleton('lib');

/* Проверяем существует ли идентификатор */
if (isset($_REQUEST['edit_lib_dir_id']))
{
	$param['lib_dir_id'] = to_int($_REQUEST['edit_lib_dir_id']);
}

/* Устанавливаем параметры */
$param['lib_dir_name'] = to_str($_REQUEST['lib_dir_name']);
$param['lib_dir_parent_id'] = to_int($_REQUEST['lib_dir_parent_id']);

if ($insert_lib_dir_id = $lib->InsertLibDir($param))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddLibDir', 'edit_lib_dir_id', '<?php echo $insert_lib_dir_id?>');
	</script><?php

	if (isset($_REQUEST['edit_lib_dir_id']))
	{
		show_message($GLOBALS['MSG_lib']['lib_dir_form_success_edit']);
	}
	else 
	{
		show_message($GLOBALS['MSG_lib']['lib_dir_form_success_add']);
	}
}
else
{
	if (isset($_REQUEST['edit_lib_dir_id']))
	{
		show_error_message($GLOBALS['MSG_lib']['lib_dir_form_error_edit']);
	}
	else 
	{
		show_error_message($GLOBALS['MSG_lib']['lib_dir_form_error_add']);
	}
}
?>